summaryrefslogtreecommitdiff
path: root/lib/cgi/util.rb
diff options
context:
space:
mode:
authornobu <nobu@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2018-11-03 05:29:02 +0000
committernobu <nobu@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2018-11-03 05:29:02 +0000
commit6b1e425144518c336ed220115a4e8e599235dd48 (patch)
treef018542c50c0a1a10ba9317d8540ff7f116fc023 /lib/cgi/util.rb
parentbec184b5e6fbea2d192247443072c33561f1db62 (diff)
lib/cgi/util.rb: use require
* lib/cgi/util.rb: reverted r65505. require_relative does not work for cgi/escape.so, as extension libraries are placed in other directories than ruby libraries. [Bug #15206] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65511 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'lib/cgi/util.rb')
-rw-r--r--lib/cgi/util.rb2
1 files changed, 1 insertions, 1 deletions
diff --git a/lib/cgi/util.rb b/lib/cgi/util.rb
index 840bd6d5d05..464115262f6 100644
--- a/lib/cgi/util.rb
+++ b/lib/cgi/util.rb
@@ -55,7 +55,7 @@ module CGI::Util
end
begin
- require_relative 'escape'
+ require 'cgi/escape'
rescue LoadError
end